Package: org.apache.groovy.ginq.provider.collection.runtime

## [Java] Interface Partition<T>

- org.apache.groovy.ginq.provider.collection.runtime.Queryable

- All Superinterfaces:
    Queryable

      public interface Partition<T>
      extends Queryable

  Represents partition

  Type Parameters:
    `T` - the type of element
  Since:
    4.0.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T>` | `public static Partition<T>` | `emptyPartition()` Returns the empty Partition instance
    `<T>` | `public static Partition<Tuple2<T, Long>>` | `of(List<Tuple2<T, Long>> listWithIndex)` Factory method to create Partition instance

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Queryable` | `agg, avg, count, count, crossJoin, distinct, emptyQueryable, exists, from, from, from, from, fullHashJoin, fullJoin, groupBy, groupBy, innerHashJoin, innerJoin, intersect, leftHashJoin, leftJoin, limit, limit, list, max, median, min, minus, orderBy, orderBy, over, rightHashJoin, rightJoin, select, size, stdev, stdevp, stream, sum, toList, union, unionAll, var, varp, where`

- - ### Method Detail

    - #### <T> public static Partition<T> emptyPartition()

      Returns the empty Partition instance

      Type Parameters:
        `T` - the type of element
      Returns:
        the empty Partition instance
      Since:
        4.0.0

    - #### <T> public static Partition<Tuple2<T, Long>> of(List<Tuple2<T, Long>> listWithIndex)

      Factory method to create Partition instance

      Parameters:
        `listWithIndex` - the list with index
      Type Parameters:
        `T` - the type of element
      Returns:
        the Partition instance
      Since:
        4.0.0